### Home Classes Methods

### In Files

- lib/graphviz/types/html_string.rb

### Parent

Common

### Methods

- #check
- #output
- #to_gv
- #to_s

### Files

- AUTHORS
- COPYING
- README.rdoc

### Class/Module Index

Quicksearch

- GraphViz
- GraphViz::Attrs
- GraphViz::Edge
- GraphViz::Elements
- GraphViz::Ext
- GraphViz::FamilyTree
- GraphViz::FamilyTree::Couple
- GraphViz::FamilyTree::Generation
- GraphViz::FamilyTree::Person
- GraphViz::FamilyTree::Sibling
- GraphViz::GraphML
- GraphViz::Math
- GraphViz::Math::CoordinateError
- GraphViz::Math::Matrix
- GraphViz::Math::ValueError
- GraphViz::Node
- GraphViz::Theory
- GraphViz::Types
- GraphViz::Types::Common
- GraphViz::Types::EscString
- GraphViz::Types::GvDouble
- GraphViz::Types::HtmlString
- GraphViz::Types::LblString
- GraphViz::XML
- Constants
- GVUtils
- Hash
- Object
- String

No matching classes.

# GraphViz::Types::HtmlString

### Public Instance Methods

check(data) click to toggle source

    # File lib/graphviz/types/html_string.rb, line 4
    def check(data)
      return data
    end

output() click to toggle source

    # File lib/graphviz/types/html_string.rb, line 8
    def output
      return "<"+@data+">"
    end

Also aliased as: to_gv, to_s
to_gv() click to toggle source
Alias for: output
to_s() click to toggle source
Alias for: output

[Validate]

Generated with the Darkfish Rdoc Generator 2.